'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

exports['default'] = function (babel) {
  var t = babel.types;

  function console_(method, args) {
    return t.expressionStatement(t.callExpression(t.memberExpression(t.identifier('console'), t.identifier(method)), args));
  }

  function consoleTest(thing, fromValue) {
    return console_('assert', [t.binaryExpression('!==', t.unaryExpression('typeof', t.identifier(thing)), t.literal('undefined')), t.literal('[IMPORT]:'), t.literal(thing), t.literal('from'), t.literal(fromValue), t.literal('is undefined.')]);
  }

  return new babel.Plugin('import-asserts', {
    visitor: {
      ImportDeclaration: function ImportDeclaration(node, parent) {
        var _this = this;

        node.specifiers.map(function (specifier, idx) {
          _this.insertAfter(consoleTest(specifier.local.name, node.source.value));
        });
      }
    }
  });
};

module.exports = exports['default'];